Error Message: Invalid Server Host (Salesforce Connection)

Error Message: Invalid Server Host (Salesforce Connection)


Action:
When using the Salesforce Connection I am getting the error message below:
Error Message:
"Invalid Server Host"
Solution:

Salesforce has sent out notices to their customers that some Salesforce Platform API legacy versions will be deprecated and no longer supported by Salesforce. As a result the COZYROC Salesforce Connection can no longer be used in versions prior to 1.6 SR-4.  This could be the reason for the error message you are seeing.  Please see the following link for more information from Salesforce: https://help.salesforce.com/s/articleView?id=000354473&type=1

As well on the COZYROC side, you can look at the "What's New" section in the Salesforce Connection documentation to determine what the highest version of Salesforce SOAP API that can be used for each version of COZYROC SSIS+.



You would need to designate a non deprecated version of the Salesforce Soap API at the end of the Server URL on the Advanced tab of the COZYROC Salesforce Connection as shown in the example here in this screen capture.